Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws.security
Class UserDataConstraint.Transport

    java.lang.Object
      java.lang.Enum
          weblogic.jws.security.UserDataConstraint.Transport

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  UserDataConstraint

    public static final class UserDataConstraint.Transport

extends Enum

Transport-Guarantee element "NONE" -- The application does not require any transport guarantees "INTEGRAL" -- The application requires that the data be sent between the client and server in such a way that it cannot be changed in transit. "CONFIDENTIAL" -- The application requires that data be transmitted so as to prevent other entities from observing the contents of the transmission. WebLogic Server establishes a Secure Sockets Layer (SSL) connection when the user is authenticated using the INTEGRAL or CONFIDENTIAL transport guarantee

See Also:
  Serialized Form

Field Summary
`static UserDataConstraint.Transport` | `CONFIDENTIAL`
`static UserDataConstraint.Transport` | `INTEGRAL`
`static UserDataConstraint.Transport` | `NONE`

Method Summary
`static UserDataConstraint.Transport` | `valueOf(String name)`
`static UserDataConstraint.Transport[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final UserDataConstraint.Transport NONE

### INTEGRAL

    public static final UserDataConstraint.Transport INTEGRAL

### CONFIDENTIAL

    public static final UserDataConstraint.Transport CONFIDENTIAL

Method Detail

### values

    public static final UserDataConstraint.Transport[] values()

### valueOf

    public static UserDataConstraint.Transport valueOf(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD